%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}

%bcond_without check
%global debug_package %{nil}

%global crate addr2line

Name:           rust-addr2line
Version:        0.21.0
Release:    1%{?dist}
Summary:        Cross-platform symbolication library written in Rust, using gimli

License:        Apache-2.0 OR MIT
URL:            https://crates.io/crates/addr2line
Source0:         %{crates_source}
Patch:          addr2line-fix-metadata.diff

BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
A cross-platform symbolication library written in Rust, using `gimli`.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE-APACHE
%license %{crate_instdir}/LICENSE-MIT
%doc %{crate_instdir}/CHANGELOG.md
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+cpp_demangle-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+cpp_demangle-devel %{_description}

This package contains library source intended for building other packages which
use the "cpp_demangle" feature of the "%{crate}" crate.

%files       -n %{name}+cpp_demangle-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+fallible-iterator-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+fallible-iterator-devel %{_description}

This package contains library source intended for building other packages which
use the "fallible-iterator" feature of the "%{crate}" crate.

%files       -n %{name}+fallible-iterator-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+memmap2-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+memmap2-devel %{_description}

This package contains library source intended for building other packages which
use the "memmap2" feature of the "%{crate}" crate.

%files       -n %{name}+memmap2-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+object-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+object-devel %{_description}

This package contains library source intended for building other packages which
use the "object" feature of the "%{crate}" crate.

%files       -n %{name}+object-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+rustc-demangle-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+rustc-demangle-devel %{_description}

This package contains library source intended for building other packages which
use the "rustc-demangle" feature of the "%{crate}" crate.

%files       -n %{name}+rustc-demangle-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+smallvec-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+smallvec-devel %{_description}

This package contains library source intended for building other packages which
use the "smallvec" feature of the "%{crate}" crate.

%files       -n %{name}+smallvec-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+std-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+std-devel %{_description}

This package contains library source intended for building other packages which
use the "std" feature of the "%{crate}" crate.

%files       -n %{name}+std-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+std-object-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+std-object-devel %{_description}

This package contains library source intended for building other packages which
use the "std-object" feature of the "%{crate}" crate.

%files       -n %{name}+std-object-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Mon Jun 17 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.21.0-1
- initial build
